# Poco

# template < class C >

# class TimerCallback

Library: Foundation
Package: Threading
Header: Poco/Timer.h

## Description

This template class implements an adapter that sits between a Timer and an object's method invoked by the timer. It is quite similar in concept to the RunnableAdapter, but provides some Timer specific additional methods. See the Timer class for information on how to use this template class.

## Inheritance

Direct Base Classes: AbstractTimerCallback

All Base Classes: AbstractTimerCallback

## Member Summary

Member Functions: clone, invoke, operator =

Inherited Functions: clone, invoke, operator =

## Types

### void

typedef void (C::* Callback)(Timer &);

## Constructors

### TimerCallback

TimerCallback(
const TimerCallback & callback
);

### TimerCallback

TimerCallback(
C & object,
Callback method
);

## Destructor

### ~TimerCallback

~TimerCallback();

## Member Functions

### clone

AbstractTimerCallback * clone() const;

See also: Poco::AbstractTimerCallback::clone()

### invoke

void invoke(
Timer & timer
) const;

See also: Poco::AbstractTimerCallback::invoke()

### operator =

TimerCallback & operator = (
const TimerCallback & callback
);